package com.platform.modules.live.service;

import java.util.List;
import java.util.Map;


import com.baomidou.mybatisplus.service.IService;
import com.platform.common.utils.PageUtils;
import com.platform.common.utils.R;
import com.platform.modules.foreign.entity.SceneStreamForeignEntity;
import com.platform.modules.live.entity.LiveSceneRecordEntity;
import com.platform.modules.live.vo.LiveSceneRecordVo;

/**
 * 现场回顾
 *
 * @author TONG
 * @email ${email}
 * @date 2019-02-20 12:40:50
 */
public interface LiveSceneRecordService extends IService<LiveSceneRecordEntity> {


    PageUtils queryPage(Map<String, Object> params);
    
    LiveSceneRecordVo info(Integer id);

	List<SceneStreamForeignEntity> selectSceneRecordForeign(Integer sceneId);

	void deleteRecords(Integer[] ids);

    void update(LiveSceneRecordVo liveSceneRecordVo);

    void save(LiveSceneRecordVo liveSceneRecord);
    
    void priority(Integer[] ids,Integer[] prioritys);

    /**
     * 快速剪辑
     *
     * @param recordId 回顾ID
     * @param clipStartTime 快速剪辑开始Unix时间
     * @param clipStopTime 快速剪辑结束Unix时间
     * */
    R fastClip(Integer recordId, Integer clipStartTime, Integer clipStopTime, String recordName);

    /**
     * 获取时间轴
     *
     * @param recordId 回顾ID
     * */
    R getTimeLine(Integer recordId);
    /**
     * 获取m3u8文件的切片时长
     * @param recordId
     * @return
     */
    R getSlicingTime(Integer recordId);
}

